<?php declare(strict_types=1);

/*
Plugin Name: Everyware Concepts
Description: Everyware Concepts is a plugin that lets you handle Concepts inside Wordpress.
Version: 0.1.1
Author: Infomaker Scandinavia AB
Author URI: http://www.infomaker.se
Text Domain: ew-concepts
Domain Path: /languages/
 */

use Everyware\Concepts\AjaxAPI;
use Everyware\Concepts\ConceptController;
use Everyware\Concepts\ConceptAdmin;
use Everyware\Concepts\Concepts;
use Everyware\Concepts\OcConceptProvider;

ConceptAdmin::init();
AjaxAPI::init();

add_action('plugins_loaded', static function () {
    $controller = new ConceptController(Concepts::init(), new OcConceptProvider(new OcAPI()));

    AjaxAPI::get('show', [$controller, 'show']);
    AjaxAPI::post('create', [$controller, 'create']);
    AjaxAPI::post('delete', [$controller, 'remove']);
    AjaxAPI::post('update', [$controller, 'update']);

    load_muplugin_textdomain(CONCEPTS_TEXT_DOMAIN, dirname(plugin_basename(__FILE__)) . '/languages/');
});
